// listview.js
//
// Show the list of properties.
// The data lives in the global object _listings
//
var win = Titanium.UI.currentWindow;
var _tableview = null;

var baseUrl;
if (win)
{
    baseUrl = win.baseUrl;
    Titanium.API.info("window_list - baseUrl = " + baseUrl);
}
else
{
    Titanium.API.info("window_list - baseUrl not set - window is empty");
}

function update()
{
    if (!win.listings)
    {
		Titanium.API.info('window_list.update - e.listings not supplied');
        return;
    }
	var listings = win.listings;
        
	var data = [];
	for(i=0;i<listings.length;i++)
	{
		var listing = listings[i];
		var row = Titanium.UI.createTableViewRow();
		row.height = 80;
		
		var thumbnail = Titanium.UI.createImageView({
			// backgroundColor: '#eee',
			url: 
				'http://www.comient.com/Listing/AnyThumbnail?ListingId=' +
				listing.Id,
				top: 0, left: 0, width:80, height: 80
				});
		thumbnail.rowNum = i;
		row.add(thumbnail);
		
        var titleText = listing.Title;
        if (titleText.length > 30)
        {
            titleText = titleText.substring(0, 30) + '...';
        }
		var title = Titanium.UI.createLabel({
			left: 90, top:5, height:'auto', width:225,
			text: titleText,
			color: '#333',
			font:{fontSize:14,fontWeight:'bold', fontFamily:'Arial'}
		});
		title.rowNum = i;
		row.add(title);

		var address = Titanium.UI.createLabel({
			left: 90, top:23, width: 225, height:'auto',
			text: listing.FullAddress,
			color: '#333',
			font:{fontSize:12}
		});
		row.add(address);
		
		var details = Titanium.UI.createLabel({
			left: 90, top:53, width: 225, height:'auto',
			text: listing.BuildingType + ' ' + listing.SquareFeet + 'SF $' + listing.PricePerSqFt,
			color: '#333',
			font:{fontSize:12}
		});
		row.add(details);
		
		row.listing = listing;
		data[i] = row;
	}

	win.title = listings.length + ' Listings';
	if (null == _tableview)
	{
		_tableview = Titanium.UI.createTableView({
			data:data
		});
		win.add(_tableview);	
		_tableview.addEventListener('click', function(e) {
			if (e.rowData.listing)
			{
                Titanium.API.info('window_list - create detail window');
				var win = Titanium.UI.createWindow({
					listing: e.rowData.listing,
					url: 'window_detail.js',
                    baseUrl: baseUrl
				});
                Titanium.API.info('window_list - open detail window');
				Titanium.UI.currentTab.open(win,{animated:true});
			}
		});
	}
	else
	{
		_tableview.data = data;
	}	
}


Titanium.App.addEventListener('listings_updated', function(e) { update(); });

// The window may not have been created when the listings_updated
// event was fired. If that was the case, do the update now.
if (win.listings)
{
	update();
}
